EDIT - feature request #6416

Change sortindex of keynodes
02/13/2017 01:10 PM - Katja Luther

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

Sometimes it is needed that the alternatives of a polytomous key node are sorted in a different way. We need an operation change
order of the nodes.

For a node with only two alternatives it would be a switch, but for more than one we need to have a possibility to define the sort order
of all alternatives.

History

#1 - 04/24/2020 04:07 PM - Andreas Miiller

- Subject changed from change sortindex of keynodes to Change sortindex of keynodes

- Description updated

Katja Luther wrote:
Sometimes it is needed that the alternatives of a polytomous key node are sorted in a different way. We need an operation change order of the
nodes.

For a node with only two alternatives it would be a switch, but for more than one we need to have a possibility to define the sort order of all
alternatives.

Why can't we have a simple move up/move down functionality via the menu as we have for other lists, e.g. in image galleries? Is this difficult to
implement? If not, can we integrate it into one of the next milestones or in the current one if very easy?
